POST /launcher/edit-channel-message
Edit an existing message in a channel

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
messageId string REQUIRED
newContent string REQUIRED

Responses

200 Successful response
application/json
_id string
channelId string
senderId string
content string
createdAt integer (int64)
updatedAt integer (int64)
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/edit-channel-message' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "messageId": "string",  "newContent": "string"}'
const response = await fetch('https://api.basement.fun/launcher/edit-channel-message', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "messageId": "string",    "newContent": "string"  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/edit-channel-message', json={  "launcherJwt": "string",  "messageId": "string",  "newContent": "string"})print(response.json())
200 Response
{  "_id": "<string>",  "channelId": "<string>",  "senderId": "<string>",  "content": "<string>",  "createdAt": 123,  "updatedAt": 123}
Ask a question... ⌘I